Sub games for Apple? [Archive] - Glock Talk

PDA

View Full Version : Sub games for Apple?


Romadoc
06-19-2007, 14:47
Are there any games similar to "Aces of the Deep" that will work on the new Apple? Names of other "submarine" games would be also welcome.

Washington,D.C.
06-19-2007, 15:24
This one works on PowerPC 64 bit systems but I don't think there's a version for Intel Macs.

http://dangerdeep.sourceforge.net/

Washington,D.C.
06-19-2007, 15:28
Danger From The Deep


http://www.insidemacgames.com/news/story.php?ArticleID=14987

Washington,D.C.
06-19-2007, 15:40
Danger from the Deep says you must have an ATI or Nvidia graphics cards. It is free though.


Review

http://forum.macologist.org/showthread.php?t=3727


Download and info

http://www.macgamefiles.com/detail.php?item=19511

Romadoc
06-29-2007, 08:07
I'm not having any luck in getting it to work. I get up to a "launch" screen, but that's as far as it goes. Where am I going wrong? Is there a specific resolution to choose in order to make it go?

Washington,D.C.
06-29-2007, 08:19
I don't know if it would give you an error message but which video card does your Mac have?

Romadoc
06-29-2007, 11:02
ATI Radeon X1600. It's a new (April) IMAC. I think that perhaps it is not yet available for this machine.

Washington,D.C.
06-29-2007, 11:59
I found the problem. It should work in your Mac. The link I posted only has the soutce code not the binary program you need to inastall. Here are the correct links.


http://www.macupdate.com/info.php/id/24721/danger-from-the-deep



http://download.games4mac.de/

Romadoc
06-29-2007, 13:11
Still no luck! Tried both sites. All I get is a half screen with license info at the bottom of which is a picture of a ship in a circle. Clicking on the picture brings up a "launch" box with various resolutions. None of them work for me.

Washington,D.C.
06-29-2007, 13:30
You may be right. It doesn't mention Intel Macs.

DftD is currently being developed on Linux (i386 and AMD64) and Windows. There are binarys available for Linux (i386 and amd64), Windows (32bit) and there are some old packages for MacOSX. Danger from the Deep makes use of SDL/OpenGL and thus should be portable to other operating systems or platforms.

DftD has even been reported to work on:

* Windows (2000/XP/98)
* Linux (i386/x86-64/sparc64)
* FreeBSD (x86-64/sparc64/IA64)
* MacOS X (ppc64)